import request from '@/utils/request'

// 查询疫情登记信息列表
export function listRegister(query) {
  return request({
    url: '/yiqing/register/list',
    method: 'get',
    params: query
  })
}

// 查询疫情登记信息详细
export function getRegister(id) {
  return request({
    url: '/yiqing/register/' + id,
    method: 'get'
  })
}

// 新增疫情登记信息
export function addRegister(data) {
  return request({
    url: '/yiqing/register',
    method: 'post',
    data: data
  })
}

// 修改疫情登记信息
export function updateRegister(data) {
  return request({
    url: '/yiqing/register',
    method: 'put',
    data: data
  })
}

// 删除疫情登记信息
export function delRegister(id) {
  return request({
    url: '/yiqing/register/' + id,
    method: 'delete'
  })
}

// 导出疫情登记信息
export function exportRegister(query) {
  return request({
    url: '/yiqing/register/export',
    method: 'get',
    params: query
  })
}

// 查询疫情登记信息列表
export function sevenImport(query) {
  return request({
    url: '/yiqing/register/sevenImport',
    method: 'get',
    params: query
  })
}

// 查询疫情登记信息列表
export function fourteenImport(query) {
  return request({
    url: '/yiqing/register/fourteenImport',
    method: 'get',
    params: query
  })
}

// 模板下载
export function importTemplate() {
  return request({
    url: '/yiqing/register/importTemplate',
    method: 'get',
  })
}
